## r-cran-hms 0.4.0

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2017-11-16
Version: 0.4.0
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("The R Consortium", role = "cph")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: methods, pkgconfig, rlang
Suggests: crayon, lubridate, pillar, testthat
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-11-22 10:27:35 UTC; muelleki
Author: Kirill Müller [aut, cre],
  The R Consortium [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-11-23 00:45:05 UTC

=== debian/changelog ===
r-cran-hms (0.4.0-2) unstable; urgency=medium

  * debian/tests/control: Depends: r-cran-pillar
    Closes: #886284
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2018 14:18:50 +0100

r-cran-hms (0.4.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #886089
  * New Build-Depends: r-cran-pkgconfig, r-cran-rlang
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jan 2018 08:13:23 +0100

r-cran-hms (0.3-1) unstable; urgency=medium

  * Initial release (closes: #877479)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 08:33:54 +0200

=== debian/control ===
Source: r-cran-hms
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-pkgconfig,
               r-cran-rlang
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-hms.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-hms.git
Homepage: https://cran.r-project.org/package=hms

Package: r-cran-hms
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R pretty time of day
 This GNU R package implements an S3 class for storing and formatting
 time-of-day values, based on the 'difftime' class.

## r-cran-hms 0.4.2

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2018-03-10
Version: 0.4.2
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("The R Consortium", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: methods, pkgconfig, rlang
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2018-03-10 15:21:11 UTC; muelleki
Author: Kirill Müller [aut, cre],
  The R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-03-10 21:33:37 UTC

=== debian/changelog ===
r-cran-hms (0.4.2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 08:01:38 +0200

r-cran-hms (0.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Mar 2018 18:50:32 +0100

=== debian/control ===
Source: r-cran-hms
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-pkgconfig,
               r-cran-rlang
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
Homepage: https://cran.r-project.org/package=hms

Package: r-cran-hms
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R pretty time of day
 This GNU R package implements an S3 class for storing and formatting
 time-of-day values, based on the 'difftime' class.

## r-cran-hms 0.5.0

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2019-07-09
Version: 0.5.0
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("The R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: methods, pkgconfig, rlang, vctrs (>= 0.2.0)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-09 09:29:38 UTC; kirill
Author: Kirill Müller [aut, cre],
  The R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2019-07-09 10:50:03 UTC

=== debian/changelog ===
r-cran-hms (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Build-Depends: r-cran-vctrs

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 10:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-pkgconfig,
-               r-cran-rlang
-Standards-Version: 4.1.4
+               r-cran-rlang,
+               r-cran-vctrs (>= 0.2.0)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
 Homepage: https://cran.r-project.org/package=hms

## r-cran-hms 0.5.3

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2020-01-07
Version: 0.5.3
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("The R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: methods, pkgconfig, rlang, vctrs (>= 0.2.1)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://hms.tidyverse.org/, https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-07 16:20:04 UTC; kirill
Author: Kirill Müller [aut, cre],
  The R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2020-01-08 23:01:22 UTC

=== debian/changelog ===
r-cran-hms (0.5.3-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:23:40 +0000

r-cran-hms (0.5.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:38:17 +0200

r-cran-hms (0.5.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 22:13:53 +0100

r-cran-hms (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 11:47:42 +0100

r-cran-hms (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 10:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-pkgconfig,
                r-cran-rlang,
-               r-cran-vctrs (>= 0.2.0)
-Standards-Version: 4.4.0
+               r-cran-vctrs
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
 Homepage: https://cran.r-project.org/package=hms
+Rules-Requires-Root: no
 
 Package: r-cran-hms
 Architecture: all

## r-cran-hms 1.0.0

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2021-01-13
Version: 1.0.0
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: ellipsis, lifecycle, methods, pkgconfig, rlang, vctrs (>=
        0.2.1)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat (>= 3.0.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
URL: https://hms.tidyverse.org/, https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 7.1.1.9000
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-01-13 15:32:33 UTC; kirill
Author: Kirill Müller [aut, cre],
  R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-01-13 17:30:02 UTC

=== debian/changelog ===
r-cran-hms (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-ellipsis,
+               r-cran-lifecycle,
                r-cran-pkgconfig,
                r-cran-rlang,
                r-cran-vctrs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
 Homepage: https://cran.r-project.org/package=hms

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/hms_([-\d.]*)\.tar\.gz

## r-cran-hms 1.1.1

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2021-09-26
Version: 1.1.1
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: ellipsis (>= 0.3.2), lifecycle, methods, pkgconfig, rlang,
        vctrs (>= 0.3.8)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat (>= 3.0.0)
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://hms.tidyverse.org/, https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 7.1.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-09-26 19:14:12 UTC; kirill
Author: Kirill Müller [aut, cre],
  R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-09-26 19:40:02 UTC

=== debian/changelog ===
r-cran-hms (1.1.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest
  * Disable blhc

  [ Nilesh Patra ]
  * New upstream version 1.1.1

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 14:50:25 +0000

r-cran-hms (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 12:42:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ellipsis,
+               r-cran-ellipsis (>= 0.3.2),
                r-cran-lifecycle,
                r-cran-pkgconfig,
                r-cran-rlang,
-               r-cran-vctrs
-Standards-Version: 4.5.1
+               r-cran-vctrs (>= 0.3.8)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
 Homepage: https://cran.r-project.org/package=hms

## r-cran-hms 1.1.2

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2022-08-19
Version: 1.1.2
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "kirill@cynkra.com", comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: ellipsis (>= 0.3.2), lifecycle, methods, pkgconfig, rlang,
        vctrs (>= 0.3.8)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat (>= 3.0.0)
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://hms.tidyverse.org/, https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 7.2.1
Config/testthat/edition: 3
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2022-08-18 23:21:16 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2022-08-19 09:30:02 UTC

=== debian/changelog ===
r-cran-hms (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:48:05 +0200

=== debian/control ===
Source: r-cran-hms
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
Homepage: https://cran.r-project.org/package=hms
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ellipsis (>= 0.3.2),
               r-cran-lifecycle,
               r-cran-pkgconfig,
               r-cran-rlang,
               r-cran-vctrs (>= 0.3.8)
Testsuite: autopkgtest-pkg-r

Package: r-cran-hms
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R pretty time of day
 This GNU R package implements an S3 class for storing and formatting
 time-of-day values, based on the 'difftime' class.

## r-cran-hms 1.1.3

=== DESCRIPTION ===
Package: hms
Title: Pretty Time of Day
Date: 2023-03-21
Version: 1.1.3
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "kirill@cynkra.com", comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd"),
    person("RStudio", role = "fnd")
    )
Description: Implements an S3 class for storing and formatting time-of-day
    values, based on the 'difftime' class.
Imports: lifecycle, methods, pkgconfig, rlang (>= 1.0.2), vctrs (>=
        0.3.8)
Suggests: crayon, lubridate, pillar (>= 1.1.0), testthat (>= 3.0.0)
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://hms.tidyverse.org/, https://github.com/tidyverse/hms
BugReports: https://github.com/tidyverse/hms/issues
RoxygenNote: 7.2.3
Config/testthat/edition: 3
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2023-03-21 16:52:11 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd],
  RStudio [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-03-21 18:10:02 UTC

=== debian/changelog ===
r-cran-hms (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 16:55:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
 Homepage: https://cran.r-project.org/package=hms
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ellipsis (>= 0.3.2),
                r-cran-lifecycle,
                r-cran-pkgconfig,
-               r-cran-rlang,
+               r-cran-rlang (>= 1.0.2),
                r-cran-vctrs (>= 0.3.8)
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-pillar
Restrictions: allow-stderr

## r-cran-hms 1.1.4

=== debian/changelog ===
r-cran-hms (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 14:57:20 +0900

=== debian/control ===
Source: r-cran-hms
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-lifecycle,
               r-cran-pkgconfig,
               r-cran-rlang,
               r-cran-vctrs,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hms
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hms.git
Homepage: https://cran.r-project.org/package=hms
Rules-Requires-Root: no

Package: r-cran-hms
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R pretty time of day
 This GNU R package implements an S3 class for storing and formatting
 time-of-day values, based on the 'difftime' class.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-crayon,
        r-cran-lubridate,
        r-cran-pillar (>= 1.1.0),
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
